summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Luis Henrique2010-06-30 01:46:14 +0200
committer Robby Workman2010-06-30 01:46:14 +0200
commit96180dc03effedcad990fcf42b7e57c78d3caeb3 (patch)
tree2dc31e4f76565f5fdcd2fdca86603b80c363bbe5
parent577256cb474209091e66f25639f42bc2eebca991 (diff)
downloadslackbuilds-96180dc03effedcad990fcf42b7e57c78d3caeb3.tar.gz
system/brasero: Added (gnome cd burning app)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--system/brasero/README6
-rw-r--r--system/brasero/brasero.SlackBuild97
-rw-r--r--system/brasero/brasero.info10
-rw-r--r--system/brasero/doinst.sh24
-rw-r--r--system/brasero/slack-desc19
5 files changed, 156 insertions, 0 deletions
diff --git a/system/brasero/README b/system/brasero/README
new file mode 100644
index 0000000000..e112a47645
--- /dev/null
+++ b/system/brasero/README
@@ -0,0 +1,6 @@
+Brasero is a application to burn CD/DVD for the Gnome Desktop. It is
+designed to be as simple as possible and has some unique features to
+enable users to create their discs easily and quickly.
+
+This requires libunique and GConf. libburn and libisofs are optional
+dependencies, and they will be used if they are installed.
diff --git a/system/brasero/brasero.SlackBuild b/system/brasero/brasero.SlackBuild
new file mode 100644
index 0000000000..f197742254
--- /dev/null
+++ b/system/brasero/brasero.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for brasero
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=brasero
+VERSION=${VERSION:-2.28.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if pkg-config --exists libburn-1 libisofs-1 ; then
+ LIBBURNIA=yes
+else
+ LIBBURNIA=no
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION/html \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-gtk-doc=yes \
+ --disable-scrollkeeper \
+ --disable-schemas-install \
+ --enable-nautilus=no \
+ --enable-libburnia=$LIBBURNIA
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/brasero/brasero.info b/system/brasero/brasero.info
new file mode 100644
index 0000000000..d22f353804
--- /dev/null
+++ b/system/brasero/brasero.info
@@ -0,0 +1,10 @@
+PRGNAM="brasero"
+VERSION="2.28.3"
+HOMEPAGE="http://projects.gnome.org/brasero"
+DOWNLOAD="http://ftp.acc.umu.se/pub/GNOME/sources/brasero/2.28/brasero-2.28.3.tar.bz2"
+MD5SUM="6ef5cc07325f1869577a85d15ac67eb3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="rworkman"
diff --git a/system/brasero/doinst.sh b/system/brasero/doinst.sh
new file mode 100644
index 0000000000..af5eef685b
--- /dev/null
+++ b/system/brasero/doinst.sh
@@ -0,0 +1,24 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install brasero.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/system/brasero/slack-desc b/system/brasero/slack-desc
new file mode 100644
index 0000000000..eed54b968e
--- /dev/null
+++ b/system/brasero/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+brasero: brasero (CD/DVD burning application)
+brasero:
+brasero: Brasero is a application to burn CD/DVD for the Gnome Desktop. It is
+brasero: designed to be as simple as possible and has some unique features to
+brasero: enable users to create their discs easily and quickly.
+brasero:
+brasero: Homepage: http://projects.gnome.org/brasero
+brasero:
+brasero:
+brasero:
+brasero: